Subject: Re: [PATCH v2 7/7] builtin/reflog: introduce subcommand to list reflogs

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Apr 2024 07:53:25 -0700

Patrick Steinhardt <[email-masked]> writes:

> On Wed, Apr 24, 2024 at 03:30:47PM +0800, Teng Long wrote:
>> Patrick Steinhardt <[email-masked]> wrote:
>> 
>> +#define BUILTIN_REFLOG_LIST_USAGE \
>> +	N_("git reflog list")
>> 
>> Doesn't seem to need a translation here?
>
> I was following the precedent of the other subcommands, which all mark
> their usage as needing translation. Whether that is ultimately warranted
> I can't really tell. In any case, if we decide that it's not we should
> also drop the marker for all the other usages.

The motivation for N_() in others (namely, the ones with
<placeholder>s) is that the literal part like "git" "reflog"
"expire" and "--expire=" cannot be given differently even when the
user works in a different locale, but placeholders that explain the
meaning of what the user must plug in there like "<time>" is easier
for the users to be in their language.

The "list" subcommand is currently an oddball that does not happen
to take an argument or an option with value, and does not use any
<placeholder>, but for consistency and future-proofing, it is better
to have it in N_().

Thanks.